summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Bruce Forte <fuererb@student.ethz.ch>2017-01-10 07:33:30 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-01-10 07:34:15 +0700
commitda667125ac15ed7fb54c5429d8d5706f3a687352 (patch)
treed0edf643002f357fd1b6d66ed015e3f7c03b4d15 /games
parent183600cda3fab8e58bdadb1cb14820e7488dcbc2 (diff)
downloadslackbuilds-da667125ac15ed7fb54c5429d8d5706f3a687352.tar.gz
slackbuilds-da667125ac15ed7fb54c5429d8d5706f3a687352.tar.xz
games/uligo: Added (Go games).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/uligo/README7
-rw-r--r--games/uligo/slack-desc19
-rw-r--r--games/uligo/uligo.SlackBuild74
-rw-r--r--games/uligo/uligo.info10
4 files changed, 110 insertions, 0 deletions
diff --git a/games/uligo/README b/games/uligo/README
new file mode 100644
index 0000000000..fe6fd46fd7
--- /dev/null
+++ b/games/uligo/README
@@ -0,0 +1,7 @@
+uliGo is a program to practice solving go problems.
+It comes with a few problems, and you can use it with classical
+go problems, or with problems of your own.
+
+In order to help you to learn to handle shapes instead of certain problems
+uliGo randomly rotates and mirrors the board, and switches black and white.
+You can also use uliGo to replay (pro) games, and guess the next move.
diff --git a/games/uligo/slack-desc b/games/uligo/slack-desc
new file mode 100644
index 0000000000..118f69096d
--- /dev/null
+++ b/games/uligo/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+uligo: uligo (understanding - learning - inspiration Go)
+uligo:
+uligo: uliGo is a program to practice solving go problems. It comes with a
+uligo: few problems, and you can use it with classical go problems, or with
+uligo: problems of your own.
+uligo: In order to help you to learn to handle shapes instead of certain
+uligo: problems, uliGo randomly rotates and mirrors the board, and switches
+uligo: black and white. You can also use uliGo to replay (pro) games, and
+uligo: guess the next move.
+uligo:
+uligo:
diff --git a/games/uligo/uligo.SlackBuild b/games/uligo/uligo.SlackBuild
new file mode 100644
index 0000000000..2c9cdfbabd
--- /dev/null
+++ b/games/uligo/uligo.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh -e
+
+# Slackware "build" script for uliGo
+
+# Bruce Forte revision date 2016/12/11
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=uligo
+VERSION=${VERSION:-0.3}
+_VERSION=$(echo "$VERSION" | sed 's/\.//g') # because they use weird tarball names
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH="noarch"
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM$VERSION
+tar xvf $CWD/$PRGNAM$_VERSION.tar.gz
+cd $PRGNAM$_VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# FIX: Use random instead of whrandom
+echo "Sed : whrandom -> random"
+sed -i 's/whrandom/random/g' board1.py
+sed -i 's/whrandom/random/g' uligo.py
+
+# Basically just copy the python script to the right place and create symlink
+mkdir -p $PKG/usr/share/$PRGNAM-$VERSION
+cp -rv * $PKG/usr/share/$PRGNAM-$VERSION
+mkdir -p $PKG/usr/games
+cd $PKG/usr/games
+ln -s ../share/$PRGNAM-$VERSION/uligo.py uligo
+rm -rf $PKG/usr/share/$PRGNAM-$VERSION/doc/
+cd $TMP/$PRGNAM$_VERSION
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv doc $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/uligo/uligo.info b/games/uligo/uligo.info
new file mode 100644
index 0000000000..eed62a2f8f
--- /dev/null
+++ b/games/uligo/uligo.info
@@ -0,0 +1,10 @@
+PRGNAM="uligo"
+VERSION="0.3"
+HOMEPAGE="http://u-go.net/uligo"
+DOWNLOAD="http://dl.u-go.net/uligo/download/uligo03.tar.gz"
+MD5SUM="ea17c666accaaf36441626e25ff07264"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Bruce Forte"
+EMAIL="fuererb@student.ethz.ch"